TechDraw Dimensione Diametro

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Diameter and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Techdraw Dimension Radius.png Raggio Pagina precedente:
Pagina successiva: Angolo Techdraw Dimension Angle.png Arrow-right.svg

TechDraw Dimension Diameter.svg Diametro

Posizione nel menu
TechDraw → Diametro
Ambiente
TechDraw
Avvio veloce
Introdotto nella versione
-
Vedere anche
Raggio


Descrizione

Lo strumento Diametro aggiunge una dimensione di diametro a una vista.

La dimensione può essere applicata a qualsiasi parte circolare del disegno. Inizialmente viene indicato il valore della distanza proiettata (vale a dire, come mostrato nel disegno), ma questo valore può essere sostituito con quello dell'effettiva distanza 3D utilizzando lo strumento TechDraw Dimension Link.svg Link alla dimensione.

TechDraw Dimension Diameter example.png

Misurazione di un cerchio, indicando il diametro


Uso

  1. Selezionare un bordo circolare nel disegno. (Notare che alcuni archi che sembrano essere circolari sono in realtà ellissi o bspline. In questi casi non si può creare una dimensione di diametro)
  2. Premere il pulsante Techdraw Dimension Diameter.png Diametro
  3. Alla Vista viene aggiunta una dimensione. La dimensione può essere trascinata nella posizione desiderata.

Limitazioni

Gli oggetti dimensione sono vulnerabili ai problemi di "denominazione topologica". Per maggiori informazioni vedere le informazioni nello strumento Lunghezza.

Proprietà

Questo oggetto ha le stesse proprietà dello strumento Lunghezza

Script

Vedere anche: TechDraw API e Nozioni di base sugli script di FreeCAD.

Lo strumento Dimension Diameter può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)


Arrow-left.svg Techdraw Dimension Radius.png Raggio Pagina precedente:
Pagina successiva: Angolo Techdraw Dimension Angle.png Arrow-right.svg